---
 arch/um/kernel/skas/syscall.c      |    2 ++
 arch/um/kernel/um_arch.c           |    2 +-
 arch/um/sys-x86_64/syscall_table.c |    2 ++
 3 files changed, 5 insertions(+), 1 deletion(-)

Index: linux-2.6.24-rc3/arch/um/kernel/skas/syscall.c
===================================================================
--- linux-2.6.24-rc3.orig/arch/um/kernel/skas/syscall.c	2007-12-03 17:47:25.000000000 +0000
+++ linux-2.6.24-rc3/arch/um/kernel/skas/syscall.c	2007-12-03 17:49:51.000000000 +0000
@@ -9,6 +9,8 @@
 #include "sysdep/ptrace.h"
 #include "sysdep/syscalls.h"
 
+#define __NR_syscall_max __NR_eventfd
+
 void handle_syscall(struct uml_pt_regs *r)
 {
 	struct pt_regs *regs = container_of(r, struct pt_regs, regs);
Index: linux-2.6.24-rc3/arch/um/kernel/um_arch.c
===================================================================
--- linux-2.6.24-rc3.orig/arch/um/kernel/um_arch.c	2007-12-03 17:47:25.000000000 +0000
+++ linux-2.6.24-rc3/arch/um/kernel/um_arch.c	2007-12-03 17:49:51.000000000 +0000
@@ -114,7 +114,7 @@ int ncpus = 1;
 static int have_root __initdata = 0;
 
 /* Set in uml_mem_setup and modified in linux_main */
-long long physmem_size = 32 * 1024 * 1024;
+long long physmem_size = 64 * 1024 * 1024;
 
 static char *usage_string =
 "User Mode Linux v%s\n"
Index: linux-2.6.24-rc3/arch/um/sys-x86_64/syscall_table.c
===================================================================
--- linux-2.6.24-rc3.orig/arch/um/sys-x86_64/syscall_table.c	2007-12-03 17:47:25.000000000 +0000
+++ linux-2.6.24-rc3/arch/um/sys-x86_64/syscall_table.c	2007-12-03 17:49:51.000000000 +0000
@@ -42,6 +42,8 @@
 #define __SYSCALL(nr, sym) [ nr ] = sym,
 #undef _ASM_X86_64_UNISTD_H_
 
+#define __NR_syscall_max __NR_eventfd
+
 typedef void (*sys_call_ptr_t)(void);
 
 extern void sys_ni_syscall(void);
